#
# spec file for package ghc-th-utilities
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name th-utilities
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.2.4.3
Release:        bp155.2.13
Summary:        Collection of useful functions for use with Template Haskell
License:        MIT
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-primitive-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-syb-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-th-abstraction-devel
BuildRequires:  ghc-th-orphans-devel
ExcludeArch:    %{ix86}
%if %{with tests}
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-vector-devel
%endif

%description
Collection of useful functions for use with Template Haskell.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Mon Apr 12 2021 psimons@suse.com
- Update th-utilities to version 0.2.4.3.
  [#]# 0.2.4.3
  * Adds a lower bound for `th-abstraction` dependency. Also released as
    a hackage revision of `0.2.4.2`.  See [#15][]
  [#15]: https://github.com/fpco/th-utilities/issues/15
* Wed Mar 24 2021 psimons@suse.com
- Update th-utilities to version 0.2.4.2.
  Upstream has edited the change log file since the last release in
  a non-trivial way, i.e. they did more than just add a new entry
  at the top. You can review the file at:
  http://hackage.haskell.org/package/th-utilities-0.2.4.2/src/ChangeLog.md
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Sun Nov 29 2020 psimons@suse.com
- Update th-utilities to version 0.2.4.1.
  [#]# 0.2.4.1
  * Fixes generated Storable instances to have a `sizeOf` definition
    which works with `-XStrict`. See [#13][]
  [#13]: https://github.com/fpco/th-utilities/issues/1
* Tue Aug 25 2020 psimons@suse.com
- Add th-utilities at version 0.2.4.0.
